summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgmerge-update-4
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2008-08-24 01:03:48 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:15:48 +0200
commit5ae0937c035d6c2f030b13b9242ead67881fb8ca (patch)
treec2e10e0c4d2aaff12092d3949202e711ddf5141d /gettext-tools/tests/msgmerge-update-4
parent8673507fd984850fabc641e49a9ecc4976b74fcd (diff)
downloadexternal_gettext-5ae0937c035d6c2f030b13b9242ead67881fb8ca.zip
external_gettext-5ae0937c035d6c2f030b13b9242ead67881fb8ca.tar.gz
external_gettext-5ae0937c035d6c2f030b13b9242ead67881fb8ca.tar.bz2
Test behaviour of "msgmerge --update" with sorting and obsoletes.
Diffstat (limited to 'gettext-tools/tests/msgmerge-update-4')
-rw-r--r--gettext-tools/tests/msgmerge-update-495
1 files changed, 95 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgmerge-update-4 b/gettext-tools/tests/msgmerge-update-4
new file mode 100644
index 0000000..dfbe0be
--- /dev/null
+++ b/gettext-tools/tests/msgmerge-update-4
@@ -0,0 +1,95 @@
+#! /bin/sh
+
+# Test --update with --sort-output: POT-Creation-Date changed. This change
+# must not be reflected in the resulting PO file; this is needed for projects
+# which don't put the .pot file under CVS.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mm-u-4.po"
+cat <<\EOF > mm-u-4.po
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR Free Software Foundation, Inc.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: cog_training 1.0\n"
+"POT-Creation-Date: 2001-04-29 22:40+0200\n"
+"PO-Revision-Date: 2001-04-29 21:19+02:00\n"
+"Last-Translator: Felix N. <xyz@zyx.uucp>\n"
+"Language-Team: German <de@li.org>\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: cogarithmetic.cc:12 cogidmarkup.cc:288 cogroman.cc:14
+msgid "white"
+msgstr "weiß"
+
+#~ msgid "green"
+#~ msgstr "grün"
+EOF
+
+tmpfiles="$tmpfiles mm-u-4.pot"
+cat <<EOF > mm-u-4.pot
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR Free Software Foundation, Inc.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2001-04-30 18:51+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: cogarithmetic.cc:12 cogidmarkup.cc:288 cogroman.cc:14
+msgid "white"
+msgstr ""
+EOF
+
+tmpfiles="$tmpfiles mm-u-4.po~"
+: ${MSGMERGE=msgmerge}
+${MSGMERGE} -q --update --sort-output mm-u-4.po mm-u-4.pot
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mm-u-4.ok"
+cat <<\EOF > mm-u-4.ok
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR Free Software Foundation, Inc.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: cog_training 1.0\n"
+"POT-Creation-Date: 2001-04-29 22:40+0200\n"
+"PO-Revision-Date: 2001-04-29 21:19+02:00\n"
+"Last-Translator: Felix N. <xyz@zyx.uucp>\n"
+"Language-Team: German <de@li.org>\n"
+"Language: de\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: cogarithmetic.cc:12 cogidmarkup.cc:288 cogroman.cc:14
+msgid "white"
+msgstr "weiß"
+
+#~ msgid "green"
+#~ msgstr "grün"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mm-u-4.ok mm-u-4.po
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result